🔗 REST APIMarket Activity
Returns recent trades and recent quotes for a market.
Trades and quotes are returned as separate lists. The limit applies independently to each list
(default 100, max 10000 per list).
Authorization<token>
API Key is required to access the endpoints
In: header
Path Parameters
exchange_id*string
The unique identifier of the exchange.
market_id*string
The unique identifier of the market, including the outcome suffix.
Query Parameters
limit?integer
Maximum number of trades and quotes to return in each list (1-10000, default 100)
Format
int32Default
100Response Body
curl -X GET "https://example.com/v1/activity/string/string/latest"{ "trades": [ { "id": "string", "market_id": "string", "price": 0.1, "quantity": 0.1, "timestamp": "2019-08-24T14:15:22Z", "outcome": "string", "side": "Buy" } ], "quotes": [ { "entry_time": "2019-08-24T14:15:22Z", "recv_time": "2019-08-24T14:15:22Z", "ask": 0.1, "bid": 0.1, "ask_volume": 0.1, "bid_volume": 0.1 } ]}